# passwordField

## Purpose

Creates a input of type 'password' (a password field). An implicit "id" attribute is given the same value as name unless you explicitly specify one. All the usual HTML elements apply beyond the below:

## Examples

    <g:passwordField name="myPasswordField" value="${myPassword}" />

## Description

Attributes

- `name` (required) - The name of the password field
- `value` (optional) - The value of the password field

## Source

Show Source

    def passwordField = { attrs ->
            attrs.type = "password"
            attrs.tagName = "passwordField"
            fieldImpl(out, attrs)
        }